Package org.apache.sling.launchpad.testservices.servlets

# Class PutMethodServlet

java.lang.Object
javax.servlet.GenericServlet
org.apache.sling.api.servlets.SlingSafeMethodsServlet
org.apache.sling.api.servlets.SlingAllMethodsServlet
org.apache.sling.launchpad.testservices.servlets.PutMethodServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class PutMethodServlet extends org.apache.sling.api.servlets.SlingAllMethodsServlet
Example/test Sling Servlet registered for the PUT method on a specific resource type

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PutMethodServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doGet(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`
`protected void`
`doPost(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`
`protected void`
`doPut(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`
`protected void`
`dumpRequestAsProperties(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`

### Methods inherited from class org.apache.sling.api.servlets.SlingAllMethodsServlet

`doDelete, getAllowedRequestMethods, isMethodValid, mayService`

### Methods inherited from class org.apache.sling.api.servlets.SlingSafeMethodsServlet

`doGeneric, doHead, doOptions, doTrace, getServletInfo, handleMethodNotImplemented, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PutMethodServlet

public PutMethodServlet()

## Method Details

### doPut

protected void doPut(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doPut` in class `org.apache.sling.api.servlets.SlingAllMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### doGet

protected void doGet(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doGet` in class `org.apache.sling.api.servlets.SlingSafeMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### doPost

protected void doPost(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doPost` in class `org.apache.sling.api.servlets.SlingAllMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### dumpRequestAsProperties

protected void dumpRequestAsProperties(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response) throws IOException

Throws:
  `IOException`